[DO NOT USE] <gallery> issues (tracking) [superseded by #MediaWiki-Gallery]
Closed, InvalidPublic

Description

Replaced by the MediaWiki-Gallery project.


Issues related to the <gallery> feature in MediaWiki.

Tgr created this task.Mar 20 2015, 7:31 PM
Tgr updated the task description. (Show Details)
Tgr raised the priority of this task from to Needs Triage.
Tgr added a project: Tracking.
Tgr added a subscriber: Tgr.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2015, 7:31 PM
Tgr added subtasks: T45035: Uncentered caption text in gallery image is page-left (rather than image-frame-left) justified, T33517: Cannot use templates in <gallery> caption, T33550: Galleries in categories don't have newlines before/after page links., T91075: Gallery doesn't resize caption on window resize, T74386: <gallery> images are skipped, leaving captions behind, T62802: Special character insertion replaces selected content (including focusable nodes), T62310: VisualEditor:The gallery inspector adds a newline while opening up a gallery, T63787: VisualEditor: Adding gallery as Heading creates inconsistency between readmode and VE mode, T69915: Make galleries a searchable field for File entries, T72926: Gallery with packed mode does not update image height and width to be consistent after resize, T77988: Video thumbnails not fitting into packed-hover gallery mode, T87056: No way to get to file page of audio file from a gallery, T87532: Allow to add special characters to gallery, T38755: gallery should not use ul/li, T74276: extract(?) ignores images in galleries when providing image previews, T62340: Parsoid wrong "red" wikilink handling in <gallery>, T71583: Only show prev/next arrows in categories/galleries, T71348: <ref> <gallery> invalid </gallery></ref> creates MWException on Wikipedia but not on Wikibooks, T49646: <gallery> handling of link parameter a bit odd, T54190: <gallery> with |link=<external link> doesn't work on wikis with LanguageConverter, T54192: Markups in alt param of <gallery> are "eaten" during parsing, T45186: Generated HTML from a centered <gallery> renders incorrectly justified in Firefox and IE, OK in Safari and Chrome.Mar 20 2015, 7:39 PM
Aklapper renamed this task from <gallery> issues (tracking) to <gallery> parser tag issues (tracking).Mar 20 2015, 8:16 PM
Aklapper triaged this task as Normal priority.
Tgr renamed this task from <gallery> parser tag issues (tracking) to <gallery> issues (tracking).Mar 20 2015, 8:47 PM
Tgr updated the task description. (Show Details)

On second thought, "parser tag" gives the wrong impression that this tag is specifically about parser issues. Issues with <gallery> cover a wide range of components, from file handling to javascript, and I'm trying to gather them all.

Steinsplitter moved this task from Incoming to Tracking bugs on the Commons board.
Qgil added a subscriber: Qgil.

What about a MediaWiki-Gallery project instead of a tracking bug? A visually distinct feature and close to 50 tasks collected seem to e a good justification.

Tgr added a comment.Mar 23 2015, 10:32 PM

What about a MediaWiki-Gallery project instead of a tracking bug? A visually distinct feature and close to 50 tasks collected seem to e a good justification.

No strong opinion on that one, although I wonder though whether it would make more sense to convert all tracking bugs to projects; the current level of support for the blocker/blocked relationship in Phabricator is pretty worthless. Don't know whether improving that is on their roadmap (and when), though.

Tgr added a comment.Mar 23 2015, 11:20 PM

Thanks, didn't know about that. It would require better support though, IMO, such as a dedicated project type for tracking projects. You could argue that MediaWiki-Gallery is also a component, but with other tracking bugs that gets awkward.

Jdforrester-WMF removed subtasks: T102914: Wall of code in <gallery> tag, T95531: Make enwiki's Template:Gallery redundant by implementing all its features in wikitext, T18057: HTML comments inside galleries cause images not to be rendered, T13500: Rearranging the order of image (link)s in galleries via drag and drop (AJAXy), T51814: Display text link instead of image in gallery, T29540: width of <gallery> always 100%, T40652: Gallery always uses user language (as opposed to say content lang), T3340: Size thumbnails in galleries according to user preferences, T88654: Performance review 2015: mediawiki.page.gallery module, T93393: No way to access image in packed gallery with long descriptions, T62617: Gallery with non existent image should be red link like in thumb, T74865: VisualEditor: References inside galleries being displayed separately, inside the gallery, instead of in the correct <references /> block at the end of the page, T64799: VisualEditor: Warn/stop users from inserting wikitext/bad inputs in the Gallery inspector, T45257: Request for general and/or specific justifications of 'left' and 'right' in gallery images' caption text, T45037: Support rich editing of galleries in the visual editor, T56796: Gallery tags do not honour their 'spec', T4697: Support external images in galleries, T15214: <gallery> shouldn't rescale small bitmap images, T25714: Allow Extensions modify the thumbtext of files inside galleries, T65022: VisualEditor: User should be able to add gallery inside reference, T32270: Gallery unnecessary margins and paddings, T58229: making gallery with UploadWizard, T45186: Generated HTML from a centered <gallery> renders incorrectly justified in Firefox and IE, OK in Safari and Chrome, T54192: Markups in alt param of <gallery> are "eaten" during parsing, T54190: <gallery> with |link=<external link> doesn't work on wikis with LanguageConverter, T49646: <gallery> handling of link parameter a bit odd, T71348: <ref> <gallery> invalid </gallery></ref> creates MWException on Wikipedia but not on Wikibooks, T71583: Only show prev/next arrows in categories/galleries, T62340: Parsoid wrong "red" wikilink handling in <gallery>, T74276: extract(?) ignores images in galleries when providing image previews, T38755: gallery should not use ul/li, T87532: Allow to add special characters to gallery, T87056: No way to get to file page of audio file from a gallery, T77988: Video thumbnails not fitting into packed-hover gallery mode, T72926: Gallery with packed mode does not update image height and width to be consistent after resize, T69915: Make galleries a searchable field for File entries, T63787: VisualEditor: Adding gallery as Heading creates inconsistency between readmode and VE mode, T62310: VisualEditor:The gallery inspector adds a newline while opening up a gallery, T74386: <gallery> images are skipped, leaving captions behind, T91075: Gallery doesn't resize caption on window resize, T33550: Galleries in categories don't have newlines before/after page links., T33517: Cannot use templates in <gallery> caption, T45035: Uncentered caption text in gallery image is page-left (rather than image-frame-left) justified.Sep 14 2015, 11:12 PM
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptSep 14 2015, 11:12 PM
Jdforrester-WMF closed this task as Resolved.
Danny_B renamed this task from <gallery> issues (tracking) to [DO NOT USE] <gallery> issues (tracking) [superseded by #MediaWiki-Gallery].
Danny_B changed the task status from Resolved to Invalid.
Danny_B lowered the priority of this task from Normal to Lowest.
Danny_B added a project: MediaWiki-Gallery.
Danny_B moved this task from Tag to Transition completed / Archived on the Tracking board.
Restricted Application added a project: Multimedia. · View Herald TranscriptNov 12 2017, 1:33 AM